package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import java.util.ArrayList;

/**
 * Payment Print or Export.
 * @author Almas:SiqinBilige
 */
public class PaymentPrintForm extends ActionForm implements Serializable {

    /** Payment Selection ID. */
    private int paymentSelectionId;

    /** Payment Rule. */
    private String paymentRule;

    /** Document Number. */
    private int documentNumber;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Payment Selection Label. */
    private String paymentSelectionLabel;

    /** Payment Selection List. */
    private ArrayList paymentSelectionList;

    /** Bank Account ID. */
    private int bankAccountId;

    /** Bank Account Name. */
    private String bankAccountName;

    /** Bank Account Label. */
    private String bankAccountLabel;

    /** Current Balance. */
    private String currentBalance;

    /** Current Balance Label. */
    private String currentBalanceLabel;

    /** Current Currency. */
    private String currentCurrency;

    /** Current Currency Label. */
    private String currentCurrencyLabel;

    /** Payment Number. */
    private int paymentNumber;

    /** Payment Number Label. */
    private String paymentNumberLabel;

    /** Payment Rule List. */
    private ArrayList paymentRuleList;

    /** Payment Rule Label. */
    private String paymentRuleLabel;

    /** Document Number Label. */
    private String documentNumberLabel;

    /** Export Label. */
    private String exportLabel;

    /** Print Label. */
    private String printLabel;

    /** Process Label. */
    private String processLabel;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Payment Selection ID.
     * @return Payment Selection ID
     */
    public final int getPaymentSelectionId() {
        return this.paymentSelectionId;
    }

    /**
     * Set Payment Selection ID.
     * @param paymentSelectionIdP Payment Selection ID
     */
    public final void setPaymentSelectionId(final int paymentSelectionIdP) {
        this.paymentSelectionId = paymentSelectionIdP;
    }

    /**
     * Get Payment Rule.
     * @return Payment Rule
     */
    public final String getPaymentRule() {
        return this.paymentRule;
    }

    /**
     * Set Payment Rule.
     * @param paymentRuleP Payment Rule
     */
    public final void setPaymentRule(final String paymentRuleP) {
        this.paymentRule = paymentRuleP;
    }

    /**
     * Get Document Number.
     * @return Document Number
     */
    public final int getDocumentNumber() {
        return this.documentNumber;
    }

    /**
     * Set Document Number.
     * @param documentNumberP Document Number
     */
    public final void setDocumentNumber(final int documentNumberP) {
        this.documentNumber = documentNumberP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Payment Selection Label.
     * @return Payment Selection Label
     */
    public final String getPaymentSelectionLabel() {
        return this.paymentSelectionLabel;
    }

    /**
     * Set Payment Selection Label.
     * @param paymentSelectionLabelP Payment Selection Label
     */
    public final void setPaymentSelectionLabel(final String paymentSelectionLabelP) {
        this.paymentSelectionLabel = paymentSelectionLabelP;
    }

    /**
     * Get Payment Selection List.
     * @return Payment Selection List
     */
    public final ArrayList getPaymentSelectionList() {
        return this.paymentSelectionList;
    }

    /**
     * Set Payment Selection List.
     * @param paymentSelectionListP Payment Selection List
     */
    public final void setPaymentSelectionList(final ArrayList paymentSelectionListP) {
        this.paymentSelectionList = paymentSelectionListP;
    }

    /**
     * Get Bank Account ID.
     * @return Bank Account ID
     */
    public final int getBankAccountId() {
        return this.bankAccountId;
    }

    /**
     * Set Bank Account ID.
     * @param bankAccountIdP Bank Account ID
     */
    public final void setBankAccountId(final int bankAccountIdP) {
        this.bankAccountId = bankAccountIdP;
    }

    /**
     * Get Bank Account Name.
     * @return Bank Account Name
     */
    public final String getBankAccountName() {
        return this.bankAccountName;
    }

    /**
     * Set Bank Account Name.
     * @param bankAccountNameP Bank Account Name
     */
    public final void setBankAccountName(final String bankAccountNameP) {
        this.bankAccountName = bankAccountNameP;
    }

    /**
     * Get Bank Account Label.
     * @return Bank Account Label
     */
    public final String getBankAccountLabel() {
        return this.bankAccountLabel;
    }

    /**
     * Set Bank Account Label.
     * @param bankAccountLabelP Bank Account Label
     */
    public final void setBankAccountLabel(final String bankAccountLabelP) {
        this.bankAccountLabel = bankAccountLabelP;
    }

    /**
     * Get Current Balance.
     * @return Current Balance
     */
    public final String getCurrentBalance() {
        return this.currentBalance;
    }

    /**
     * Set Current Balance.
     * @param currentBalanceP Current Balance
     */
    public final void setCurrentBalance(final String currentBalanceP) {
        this.currentBalance = currentBalanceP;
    }

    /**
     * Get Current Balance Label.
     * @return Current Balance Label
     */
    public final String getCurrentBalanceLabel() {
        return this.currentBalanceLabel;
    }

    /**
     * Set Current Balance Label.
     * @param currentBalanceLabelP Current Balance Label
     */
    public final void setCurrentBalanceLabel(final String currentBalanceLabelP) {
        this.currentBalanceLabel = currentBalanceLabelP;
    }

    /**
     * Get Current Currency.
     * @return Current Currency
     */
    public final String getCurrentCurrency() {
        return this.currentCurrency;
    }

    /**
     * Set Current Currency.
     * @param currentCurrencyP Current Currency
     */
    public final void setCurrentCurrency(final String currentCurrencyP) {
        this.currentCurrency = currentCurrencyP;
    }

    /**
     * Get Current Currency Label.
     * @return Current Currency Label
     */
    public final String getCurrentCurrencyLabel() {
        return this.currentCurrencyLabel;
    }

    /**
     * Set Current Currency Label.
     * @param currentCurrencyLabelP Current Currency Label
     */
    public final void setCurrentCurrencyLabel(final String currentCurrencyLabelP) {
        this.currentCurrencyLabel = currentCurrencyLabelP;
    }

    /**
     * Get Payment Number.
     * @return Payment Number
     */
    public final int getPaymentNumber() {
        return this.paymentNumber;
    }

    /**
     * Set Payment Number.
     * @param paymentNumberP Payment Number
     */
    public final void setPaymentNumber(final int paymentNumberP) {
        this.paymentNumber = paymentNumberP;
    }

    /**
     * Get Payment Number Label.
     * @return Payment Number Label
     */
    public final String getPaymentNumberLabel() {
        return this.paymentNumberLabel;
    }

    /**
     * Set Payment Number Label.
     * @param paymentNumberLabelP Payment Number Label
     */
    public final void setPaymentNumberLabel(final String paymentNumberLabelP) {
        this.paymentNumberLabel = paymentNumberLabelP;
    }

    /**
     * Get Payment Rule List.
     * @return Payment Rule List
     */
    public final ArrayList getPaymentRuleList() {
        return this.paymentRuleList;
    }

    /**
     * Set Payment Rule List.
     * @param paymentRuleListP Payment Rule List
     */
    public final void setPaymentRuleList(final ArrayList paymentRuleListP) {
        this.paymentRuleList = paymentRuleListP;
    }

    /**
     * Get Payment Rule Label.
     * @return Payment Rule Label
     */
    public final String getPaymentRuleLabel() {
        return this.paymentRuleLabel;
    }

    /**
     * Set Payment Rule Label.
     * @param paymentRuleLabelP Payment Rule Label
     */
    public final void setPaymentRuleLabel(final String paymentRuleLabelP) {
        this.paymentRuleLabel = paymentRuleLabelP;
    }

    /**
     * Get Document Number Label.
     * @return Document Number Label
     */
    public final String getDocumentNumberLabel() {
        return this.documentNumberLabel;
    }

    /**
     * Set Document Number Label.
     * @param documentNumberLabelP Document Number Label
     */
    public final void setDocumentNumberLabel(final String documentNumberLabelP) {
        this.documentNumberLabel = documentNumberLabelP;
    }

    /**
     * Get Export Label.
     * @return Export Label
     */
    public final String getExportLabel() {
        return this.exportLabel;
    }

    /**
     * Set Export Label.
     * @param exportLabelP Export Label
     */
    public final void setExportLabel(final String exportLabelP) {
        this.exportLabel = exportLabelP;
    }

    /**
     * Get Print Label.
     * @return Print Label
     */
    public final String getPrintLabel() {
        return this.printLabel;
    }

    /**
     * Set Print Label.
     * @param printLabelP Print Label
     */
    public final void setPrintLabel(final String printLabelP) {
        this.printLabel = printLabelP;
    }

    /**
     * Get Process Label.
     * @return Process Label
     */
    public final String getProcessLabel() {
        return this.processLabel;
    }

    /**
     * Set Process Label.
     * @param processLabelP Process Label
     */
    public final void setProcessLabel(final String processLabelP) {
        this.processLabel = processLabelP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }
}
